RHSA-2005:569-01: Important: zlib security update
Posted on: 07/06/2005 12:49 PM

A zlib security update has been released for Red Hat Enterprise Linux

----------------------------------------------------------------------
Red Hat Security Advisory

Synopsis: Important: zlib security update
Advisory ID: RHSA-2005:569-01
Advisory URL: https://rhn.redhat.com/errata/RHSA-2005-569.html
Issue date: 2005-07-06
Updated on: 2005-07-06
Product: Red Hat Enterprise Linux
CVE Names: CAN-2005-2096
----------------------------------------------------------------------

1. Summary:

Updated Zlib packages that fix a buffer overflow are now available for Red Hat Enterprise Linux 4.

This update has been rated as having important security impact by the Red Hat Security Response Team.

2. Relevant releases/architectures:

Red Hat Enterprise Linux AS version 4 - i386, ia64, ppc, s390, s390x, x86_64
Red Hat Enterprise Linux Desktop version 4 - i386, x86_64
Red Hat Enterprise Linux ES version 4 - i386, ia64, x86_64
Red Hat Enterprise Linux WS version 4 - i386, ia64, x86_64

3. Problem description:

Zlib is a general-purpose lossless data compression library which is used by many different programs.

Tavis Ormandy discovered a buffer overflow affecting Zlib version 1.2 and above. An attacker could create a carefully crafted compressed stream that would cause an application to crash if the stream is opened by a user. As an example, an attacker could create a malicious PNG image file which would cause a web browser or mail viewer to crash if the image is viewed. The Common Vulnerabilities and Exposures project assigned the name CAN-2005-2096 to this issue.

Please note that the versions of Zlib as shipped with Red Hat Enterprise Linux 2.1 and 3 are not vulnerable to this issue.

All users should update to these erratum packages which contain a patch from Mark Adler which corrects this issue.

4. Solution:

Before applying this update, make sure all previously released errata relevant to your system have been applied.

This update is available via Red Hat Network. To use Red Hat Network, launch the Red Hat Update Agent with the following command:

up2date

This will start an interactive process that will result in the appropriate RPMs being upgraded on your system.

5. Bug IDs fixed (http://bugzilla.redhat.com/):

162391 - CAN-2005-2096 zlib buffer overflow


6. RPMs required:

Red Hat Enterprise Linux AS version 4:

SRPMS:
ftp://updates.redhat.com/enterprise/4AS/en/os/SRPMS/zlib-1.2.1.2-1.1.src.rpm
b09854b7fbd3c6aef59e15379d563bc2 zlib-1.2.1.2-1.1.src.rpm

i386:
b80a549b59a2864e51fce1849ed91714 zlib-1.2.1.2-1.1.i386.rpm
d5db7d5f5a65de792571dffd49abb433 zlib-devel-1.2.1.2-1.1.i386.rpm

ia64:
b80a549b59a2864e51fce1849ed91714 zlib-1.2.1.2-1.1.i386.rpm
cc9e3223c11f5046a24ec68ff98d3a43 zlib-1.2.1.2-1.1.ia64.rpm
c46ed128d73cba13ace294e80e9a48d3 zlib-devel-1.2.1.2-1.1.ia64.rpm

ppc:
0a40389caa51dec8625e0c0b11a44e87 zlib-1.2.1.2-1.1.ppc.rpm
68de3c2b8e24ee086718f888b52d2d1d zlib-1.2.1.2-1.1.ppc64.rpm
b87b7e205c4d450a31b75a7a1ed9be0b zlib-devel-1.2.1.2-1.1.ppc.rpm
1d57bd73dc26f813fed1450dc9c70638 zlib-devel-1.2.1.2-1.1.ppc64.rpm

s390:
95bd5739a0d7e95977c4d1ead6584776 zlib-1.2.1.2-1.1.s390.rpm
87c887b819a7c2d2ed9fb5bf672f8b84 zlib-devel-1.2.1.2-1.1.s390.rpm

s390x:
95bd5739a0d7e95977c4d1ead6584776 zlib-1.2.1.2-1.1.s390.rpm
dfa44b20f0fe492a3c14c4a2e1b18f86 zlib-1.2.1.2-1.1.s390x.rpm
87c887b819a7c2d2ed9fb5bf672f8b84 zlib-devel-1.2.1.2-1.1.s390.rpm
24bb5acdf163d308774d0c05ecf5a5bb zlib-devel-1.2.1.2-1.1.s390x.rpm

x86_64:
b80a549b59a2864e51fce1849ed91714 zlib-1.2.1.2-1.1.i386.rpm
d033b0a59c082ab7038435862f8f8ea6 zlib-1.2.1.2-1.1.x86_64.rpm
d5db7d5f5a65de792571dffd49abb433 zlib-devel-1.2.1.2-1.1.i386.rpm
93289aa3e51b5f8e0bf2300dc2b97784 zlib-devel-1.2.1.2-1.1.x86_64.rpm

Red Hat Enterprise Linux Desktop version 4:

SRPMS:
ftp://updates.redhat.com/enterprise/4Desktop/en/os/SRPMS/zlib-1.2.1.2-1.1.src.rpm
b09854b7fbd3c6aef59e15379d563bc2 zlib-1.2.1.2-1.1.src.rpm

i386:
b80a549b59a2864e51fce1849ed91714 zlib-1.2.1.2-1.1.i386.rpm
d5db7d5f5a65de792571dffd49abb433 zlib-devel-1.2.1.2-1.1.i386.rpm

x86_64:
b80a549b59a2864e51fce1849ed91714 zlib-1.2.1.2-1.1.i386.rpm
d033b0a59c082ab7038435862f8f8ea6 zlib-1.2.1.2-1.1.x86_64.rpm
d5db7d5f5a65de792571dffd49abb433 zlib-devel-1.2.1.2-1.1.i386.rpm
93289aa3e51b5f8e0bf2300dc2b97784 zlib-devel-1.2.1.2-1.1.x86_64.rpm

Red Hat Enterprise Linux ES version 4:

SRPMS:
ftp://updates.redhat.com/enterprise/4ES/en/os/SRPMS/zlib-1.2.1.2-1.1.src.rpm
b09854b7fbd3c6aef59e15379d563bc2 zlib-1.2.1.2-1.1.src.rpm

i386:
b80a549b59a2864e51fce1849ed91714 zlib-1.2.1.2-1.1.i386.rpm
d5db7d5f5a65de792571dffd49abb433 zlib-devel-1.2.1.2-1.1.i386.rpm

ia64:
b80a549b59a2864e51fce1849ed91714 zlib-1.2.1.2-1.1.i386.rpm
cc9e3223c11f5046a24ec68ff98d3a43 zlib-1.2.1.2-1.1.ia64.rpm
c46ed128d73cba13ace294e80e9a48d3 zlib-devel-1.2.1.2-1.1.ia64.rpm

x86_64:
b80a549b59a2864e51fce1849ed91714 zlib-1.2.1.2-1.1.i386.rpm
d033b0a59c082ab7038435862f8f8ea6 zlib-1.2.1.2-1.1.x86_64.rpm
d5db7d5f5a65de792571dffd49abb433 zlib-devel-1.2.1.2-1.1.i386.rpm
93289aa3e51b5f8e0bf2300dc2b97784 zlib-devel-1.2.1.2-1.1.x86_64.rpm

Red Hat Enterprise Linux WS version 4:

SRPMS:
ftp://updates.redhat.com/enterprise/4WS/en/os/SRPMS/zlib-1.2.1.2-1.1.src.rpm
b09854b7fbd3c6aef59e15379d563bc2 zlib-1.2.1.2-1.1.src.rpm

i386:
b80a549b59a2864e51fce1849ed91714 zlib-1.2.1.2-1.1.i386.rpm
d5db7d5f5a65de792571dffd49abb433 zlib-devel-1.2.1.2-1.1.i386.rpm

ia64:
b80a549b59a2864e51fce1849ed91714 zlib-1.2.1.2-1.1.i386.rpm
cc9e3223c11f5046a24ec68ff98d3a43 zlib-1.2.1.2-1.1.ia64.rpm
c46ed128d73cba13ace294e80e9a48d3 zlib-devel-1.2.1.2-1.1.ia64.rpm

x86_64:
b80a549b59a2864e51fce1849ed91714 zlib-1.2.1.2-1.1.i386.rpm
d033b0a59c082ab7038435862f8f8ea6 zlib-1.2.1.2-1.1.x86_64.rpm
d5db7d5f5a65de792571dffd49abb433 zlib-devel-1.2.1.2-1.1.i386.rpm
93289aa3e51b5f8e0bf2300dc2b97784 zlib-devel-1.2.1.2-1.1.x86_64.rpm

These packages are GPG signed by Red Hat for security. Our key and
details on how to verify the signature are available from https://www.redhat.com/security/team/key/#package

7. References:

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2005-2096

8. Contact:

The Red Hat security contact is lt;secalert@redhat.comgt;. More contact details at https://www.redhat.com/security/team/contact/

Copyright 2005 Red Hat, Inc.


Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/rhsa_2005569_01_important_zlib_security_update.html)